PortfolioData (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache.query.data

## Class PortfolioData

- java.lang.Object
- - org.apache.geode.cache.query.data.PortfolioData

- All Implemented Interfaces:
    java.io.Serializable, Declarable

      public class PortfolioData
      extends java.lang.Object
      implements Declarable, java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.HashMap` | `collectionHolderMap`
    `java.lang.String[]` | `names`
    `java.lang.String` | `pkid`
    `static java.lang.String[]` | `secIds`
    `java.lang.String` | `status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PortfolioData()`
    `PortfolioData(int i)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `boolFunction(java.lang.String strArg)`
    `boolean` | `equals(java.lang.Object p)`
    `java.util.HashMap` | `getCollectionHolderMap()`
    `ComparableWrapper` | `getCW(int x)`
    `int` | `getID()`
    `java.lang.String` | `getPk()`
    `java.lang.String` | `getType()` Getter for property type.S
    `int` | `hashCode()`
    `void` | `init(java.util.Properties props)` Initializes a user-defined object using the given properties.
    `int` | `intFunction(int j)`
    `boolean` | `isActive()`
    `boolean` | `testMethod(boolean booleanArg)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.cache.Declarable

      `initialize`

- - ### Field Detail

    - #### pkid

          public java.lang.String pkid

    - #### collectionHolderMap

          public java.util.HashMap collectionHolderMap

    - #### status

          public java.lang.String status

    - #### names

          public java.lang.String[] names

    - #### secIds

          public static java.lang.String[] secIds

  - ### Constructor Detail

    - #### PortfolioData

          public PortfolioData()

    - #### PortfolioData

          public PortfolioData(int i)

  - ### Method Detail

    - #### getID

          public int getID()

    - #### getPk

          public java.lang.String getPk()

    - #### getCollectionHolderMap

          public java.util.HashMap getCollectionHolderMap()

    - #### getCW

          public ComparableWrapper getCW(int x)

    - #### testMethod

          public boolean testMethod(boolean booleanArg)

    - #### isActive

          public boolean isActive()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getType

          public java.lang.String getType()

      Getter for property type.S
      Returns:
        Value of property type.

    - #### boolFunction

          public boolean boolFunction(java.lang.String strArg)

    - #### intFunction

          public int intFunction(int j)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object p)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### init

          public void init(java.util.Properties props)

      Description copied from interface: `Declarable`
      Initializes a user-defined object using the given properties. Note that any uncaught exception thrown by this method will cause the `Cache` initialization to fail.
      Specified by:
        `init` in interface `Declarable`
      Parameters:
        `props` - Contains the parameters declared in the declarative xml file.